program Project2;

{$APPTYPE CONSOLE}

uses
  SysUtils,
  Windows,
  Un_company in 'Un_company.pas',
  Un_Abonent in 'Un_Abonent.pas',
  Un_network in 'Un_network.pas',
  Un_list1 in 'Un_list1.pas';

var Company:TNetwork;
    file_name:string;
    S,N:TAbonent;
begin
  SetconsoleCP(1251);
  SetconsoleOutPutCP(1251);
  Writeln('Введите имя файла ');
  Readln(file_name);
  file_name:=file_name+'.txt';
  if (not FileExists(file_name)) then write('Файл не найден!!!')
  else
  begin
    Company:=TNetwork.Create(file_name);
    Company.Print;
    Writeln('Данные о новом пользователе');
    S:=TAbonent.Create_Read;
    Company.Add(s);
    Writeln('Номер телефона абонента,который должен быть удален');
    N:=TAbonent.Create_numberphone;
    Company.Del_ab(N);
    Company.Destroy;
  end;
  readln
end.


